import { ICellComponent } from '../../../../../../types/src/table';
import { default as Cell } from './Cell';

export default class CellComponent implements ICellComponent {
    _cell: Cell;
    constructor(cell: Cell);
    getValue(): any;
    getOldValue(): any;
    getInitialValue(): any;
    getElement(): HTMLElement | null;
    getContentElement(): HTMLElement | null;
    getRow(): import('../../../../../../types/src/table').IRowComponent;
    getData(transform?: string): Record<string, any>;
    getType(): string;
    getField(): string;
    getColumn(): import('../../../../../../types/src/table').IColumnComponent;
    setValue(value: any, mutate?: boolean): void;
    restoreOldValue(): void;
    restoreInitialValue(): void;
    checkHeight(): void;
    getTable(): import('../../../../../../types/src/table').ITabulator;
    _getSelf(): Cell;
}
